import { Delete } from '@mui/icons-material';
import { Button, Input, Panel } from '../../..';
import { VisualizationManagerType, VISUALIZATION_TYPES } from '../../manager';
import { SettingsHeader } from './components';

type Props = {
  manager: VisualizationManagerType;
};

export const ActiveVisualizationConfig = ({ manager }: Props) => {
  return (
    <>
      <div className="flex justify-between items-center px-4 py-2">
        <span className="text-xs font-bold">Visualization</span>
        <Button
          variantType="secondary"
          variant="ghost"
          size="xs"
          iconComponent={<Delete />}
          onClick={() => {
            if (manager.activeVisualization) manager.deleteVisualization(manager.activeVisualization);
          }}
        />
      </div>
      <div className="flex justify-between items-center px-4 py-1">
        <span className="text-xs font-normal">Type</span>
        <div className="w-36">
          <Input type="dropdown" size="xs" options={VISUALIZATION_TYPES} value={manager.activeVisualization} onChange={() => {}} />
        </div>
      </div>
      <div className="flex justify-between items-center px-4 py-1">
        <span className="text-xs font-normal">Name</span>
        <input type="text" className="border rounded text-xs w-36" value={manager.activeVisualization} onChange={() => {}} />
      </div>
      {manager.activeVisualization && (
        <div className="border-b p-4 w-full">
          <SettingsHeader name="Configuration" />
          {manager.renderSettings()}
        </div>
      )}
    </>
  );
};
